Skip to content

List draft backups

GET
/surveys/{id}/draft/backups
curl --request GET \
--url 'https://app.surveyrock.com/api/v1/surveys/example/draft/backups?limit=10' \
--header 'Authorization: Bearer <token>'

Returns a list of recent draft backups for a survey. Backups are created before destructive operations like restore.

id
required
string

Survey ID

limit
integer
default: 10 >= 1 <= 50

Maximum number of backups to return

List of draft backups

Media typeapplication/json
object
success
boolean
data
Array<object>
object
id
string
createdAt
string format: date-time
createdBy
string
createdByEmail
string
reason
string
Allowed values: restore bulk_edit import
expiresAt
string format: date-time
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": true,
"data": [
{
"reason": "restore"
}
],
"meta": {
"version": "3.0"
}
}

Survey not found

Media typeapplication/json

Standard error response format

object
success
boolean
error
object
code

Stable, snake_case domain code – see ApiErrorHandler::EXCEPTION_MAP and DomainException

string
message

Human-readable error message

string
suggestion

Imperative recovery hint for this domain code – see ApiErrorHandler::DOMAIN_CODE_SUGGESTIONS

string
retryable

Whether retrying the identical request might succeed without any change on the caller’s end

boolean
details

Additional, code-specific error details

object
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": false,
"error": {
"code": "survey_not_found"
},
"meta": {
"version": "3.0"
}
}